--事件点触发 
--map.AddEvent(4127,1080,75,7205,0)

function m011_5()

local	xz=flag.GetValue(6001)	--主线旗标
local	xz1=flag.GetValue(6100)	--主线副旗标

if	xz==113	and	xz1==0	then
	--开始剧情 
	func_start(4139,1052,0,1)	
	--修改旗标 
	flag.SetValue(6001,114)
	
	local	i
	
	
	if	global.GetMusicID()~=162	then
		--播放音乐 GS12
		global.PlayMusic(162,100,1)		
	end	
	
	--建立npc  
	--夏侯澜辉
	npc.Create(1,1,4170,1057)
	npc.SetAt(1,0,-1)		
	--瑕	
	npc.Create(2,2,4155,1019)
	npc.SetAt(2,0,-1)	
	-- npc.SetAnim(2,101)
	-- npc_weapon(2,2)	
	--姜承 
	npc.Create(3,3,4139,1052)
	npc.SetAt(3,0,-1)	
	-- npc.SetAnim(3,101)
	-- npc_weapon(3,3)	
	--暮菖兰 
	npc.Create(4,4,4108,1065)
	npc.SetAt(4,0,-1)	
	--皇甫卓 
	npc.Create(6,6,4187,1030)
	npc.SetAt(6,0,-1)	
	-- npc.SetAnim(6,101)
	-- npc_weapon(6,6)	
	--龙溟 
	npc.Create(7,7,4116,1018)
	npc.SetAt(7,0,-1)	
	-- npc.SetAnim(7,101)
	-- npc_weapon(7,7)	
	--凌波 
	npc.Create(8,8,4096,1024)
	npc.SetAt(8,0,-1)	
	-- npc.SetAnim(8,101)
	-- npc_weapon(8,8)	
	

	--沙虫 （假位置）
	npc.CreateFloat(250,18,4024,350,538)
	npc.CreateFloat(250,19,4219,350,538)
	npc.SetAnim(18,219)
	npc.SetAnim(19,219)	
	--虫洞 	
	-- npc.Create(4251,20,4024,858)
	-- npc.Create(4251,21,4219,858)
	npc.Create(4256,20,4024,858)
	npc.Create(4256,21,4219,858)	
	npc.SetVisible(20,0)
	npc.SetVisible(21,0)
	
	
	
	
	
	
	--镜头1 
	-- 特写楼兰王 拉远 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4133,392,1053,4133,419,956)			
	camera.ResetLerp(20000)		
	camera.ChangeCameraStatic(4133,400,1027,4133,426,931)		
	--淡入  
	effect.FadeIn(1,1)
	global.Wait(1)

	ui.Dialog(78344,701,2,17,0,0) 		--尔等是何方异族！见到本王还不跪下！
	


	
	
	--镜头2  
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4164,381,963,4153,364,1061)			
	camera.ResetLerp(10000)		
	camera.ChangeCameraStatic(4164,381,963,4172,370,1062)		
	global.Wait(0.5)
	
	--瑕生气  
	npc.SetAnim(2,224,2)
	global.Wait(1)
	
	ui.Dialog(78345,195,0,2,0,0) 		--哼，死都死了，这国王架子还摆得这么足。

	--夏侯转向瑕 
	npc.SetHeadRotTo(1,2,1,50)
	global.Wait(0.5)

	ui.Dialog(78346,526,0,1,0,0) 	--担忧 	--瑕姑娘，勿要言辞激烈，还是先礼而——
	
	--皇甫卓生气
	npc.SetAnim(6,210)
	global.Wait(0.5)
	
	ui.Dialog(78347,552,0,6,0,0) 		--今日我们就是来为楼兰城除掉这一害的，跟这鬼怪还客气什么？！

	--夏侯转向皇甫卓
	npc.SetHeadRotTo(1,6,1,50)
	global.Wait(0.5)	
	
	
	
	
	
	
	--镜头3 
	--夏侯转向楼兰王  
	npc.SetHeadRot(1,0,0)
	npc.SetAtPos(1,4132,906)
	--皇甫卓恢复  
	npc.SetAnim(6,200)
	-- 近镜 楼兰王 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4132,403,1033,4133,425,935)	
	camera.ResetLerp(10000)		
	camera.ChangeCameraStatic(4132,403,1033,4133,435,938)	
	global.Wait(0.5)
	-- 楼兰王随便一些动作 	
	npc.SetAnim(17,128,1)
	npc.SetAnimSpeed(17,30)
	npc.SetAnim(17,2)
	npc.SetAnimSpeed(17,100)

	ui.Dialog(78348,702,2,17,0,0) 	--想要除掉本王！？——你们，想要夺走本王的楼兰？！

	
	
	
	
	
	--镜头
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(4167,377,1023,4168,374,1123)
	global.Wait(0.5)

	--音乐渐停  
	global.MusicFadeIn(2000,100,0)		
	npc.SetAnim(1,217)
	global.Wait(1)
	
	ui.Dialog(78349,523,0,1,0,0) 	--不、我们是——
	ui.Dialog(78350,702,2,17,0,0) 	--本王要赐尔等一死！！
	
	
	-- 楼兰王施法  
	npc.SetPos3D(17,4132,360,906)		
	npc.SetAnim(17,320)	
	global.Wait(0.2)
	
	
	
	
	

	-- 镜头4  
	-- 特写楼兰王	
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4086,458,1091,4110,441,996)			
	camera.ResetLerp(6000)	
	camera.ChangeCameraStatic(4086,458,1091,4111,457,995)
	--播放音乐 zd09
	global.PlayMusic(109,100,3000)			
	--楼兰王施法音效
	global.PlaySound(10032,100)
	global.Wait(5.1)
	--停止楼兰王施法音效 
	global.StopLastSound()	
	global.WaitForNpcAnim(17,320)
	-- npc.SetAnimSpeed(17,30)
	-- npc.SetAnim(17,2)		
	-- npc.SetAnimSpeed(17,100)	

	
	
	
	
	--镜头5  
	--npc位置  
	npc.SetPos3D(17,4132,310,906)
	npc.SetAnim(17,2)
	npc.SetVisible(20,1)
	--沙虫左出现 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(3975,420,1036,4003,378,949)
	--震动 
	camera.Shake(999,2)
	global.Wait(2)
	--沙冲钻出音效
	global.PlaySound(2019,100)				
	--沙虫钻出 
	global.CreateSE(4810,4025,343,858)	
	npc.SetAnim(18,311)
	global.Wait(1)
	--动态模糊
	effect.MotionBlur(1)
	--上拉镜头  
	camera.ResetLerp(400)		
	camera.ChangeCameraStatic(3959,423,1082,3990,458,993)
	global.Wait(1.5)
	--音效 沙虫咆哮 
	global.PlaySound(584,100)		
	global.Wait(0.5)
	--淡出
	effect.FadeOut(1,1)
	global.Wait(1)
	--动态模糊关闭 
	effect.MotionBlur(0)
	--NPC位置 
	npc.Stop(18)
	npc.SetPos3D(18,4024,350,910)
	npc.SetAnim(18,200)
	npc.SetVisible(21,1)	


	--镜头6  
	--沙虫出现右 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(4086,497,650,4138,450,721)
	--淡入 
	effect.FadeIn(1,1)
	global.Wait(2)
	--沙虫钻出 
	--沙冲钻出音效
	global.PlaySound(2019,100)			
	global.CreateSE(4810,4219,343,858)	
	npc.SetAnim(19,311)
	global.Wait(0.8)
	--动态模糊  
	effect.MotionBlur(1)
	--上拉镜头  
	camera.ResetLerp(2500)				
	camera.ChangeCameraStatic(4086,497,650,4142,497,733)		
	global.Wait(2.2)
	--音效 沙虫咆哮 
	global.PlaySound(584,100)		
	--淡出  
	effect.FadeOut(1,0.7)
	global.Wait(2)
	
	
	--震动停 
	camera.Shake(0,0)
	--动态模糊关闭 
	effect.MotionBlur(0)		
	--NPC位置  
	npc.Stop(19)
	npc.SetPos3D(19,4219,350,910)
	npc.SetAnim(19,200)
	
	
	
	--镜头7 
	--扫过楼兰王+ 沙虫 
	camera.ResetLerp(0)				
	camera.ChangeCameraStatic(4169,435,1264,4144,453,1169)
	camera.ResetLerp(8000)		
	camera.ChangeCameraStatic(4169,435,1264,4156,446,1165)
	--淡入  
	effect.FadeIn(1,1)
	global.Wait(2)

	ui.Dialog(78351,197,0,2,0,0) 	--惊--呃。那是什么东西？这么大！好恶心！
	ui.Dialog(78352,153,0,8,0,0)--大家多小心！
	global.Wait(1)
	
	--变更队列 
	player.SetMainPlayer(p_id(7))
	
	player.LockPlace(p_id(1),0)
	player.LockPlace(p_id(2),0)
	player.LockPlace(p_id(3),0)
	player.LockPlace(p_id(4),0)
	player.LockPlace(p_id(6),0)
	player.LockPlace(p_id(8),0)
	
	player.LockPlace(p_id(7),1)--锁定龙溟	

	--清理npc 
	for	i=1,8,1
		do
		npc_weapon(i,0)
		end	

	for	i=1,10,1
		do 
		npc.SetHeadRot(i,0,0)
		end
		
	-- func_end(0,0,1)
	player.Control(1)
	global.SetWideScreen(0)




	--开始战斗  
	-- boss楼兰王 第一阶段
	battle.Begin(2011,507,1) --选人战斗

	

end

end